#
image: node:latest

# This folder is cached between builds
# https://docs.gitlab.com/ee/ci/yaml/index.html#cache
cache:
  paths:
    - node_modules/
stages:
    - before
    - build
    - test

before:
    stage: before
    script: npm install

build-node:
    stage: build
    script: npm run check-build

test:
    stage: test
    script: npm run test